<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/SpeakerManager/include/SpeakerManager/SpeakerManagerConstants.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_bc46a16e1ec7aec8565980dcd59aba5c.html">SpeakerManager</a></li><li class="navelem"><a class="el" href="dir_58f46be1458388d2fc10aa8246ff1704.html">include</a></li><li class="navelem"><a class="el" href="dir_a869cc6fda2838386502524bc993d90a.html">SpeakerManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SpeakerManagerConstants.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_speaker_manager_constants_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_CAPABILITYAGENTS_SPEAKERMANAGER_INCLUDE_SPEAKERMANAGER_SPEAKERMANAGERCONSTANTS_H_</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_CAPABILITYAGENTS_SPEAKERMANAGER_INCLUDE_SPEAKERMANAGER_SPEAKERMANAGERCONSTANTS_H_</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_namespace_and_name_8h.html">AVSCommon/AVS/NamespaceAndName.h</a>&quot;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>capabilityAgents {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>speakerManager {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">   29</a></span>&#160;<span class="keyword">const</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">NAMESPACE</a> = <span class="stringliteral">&quot;Speaker&quot;</span>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a81953ffb207e01a40f6f361b4a87ddc1">   32</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a81953ffb207e01a40f6f361b4a87ddc1">SET_VOLUME</a>{<a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">NAMESPACE</a>, <span class="stringliteral">&quot;SetVolume&quot;</span>};</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a5ad5373ef8201c768061e534ed1a0507">   35</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a5ad5373ef8201c768061e534ed1a0507">ADJUST_VOLUME</a>{<a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">NAMESPACE</a>, <span class="stringliteral">&quot;AdjustVolume&quot;</span>};</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a7a63f026180439fda2630f389c1781f8">   38</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a7a63f026180439fda2630f389c1781f8">SET_MUTE</a>{<a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">NAMESPACE</a>, <span class="stringliteral">&quot;SetMute&quot;</span>};</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a4a0b48bae42678c0f0811456fa46bfb8">   41</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a4a0b48bae42678c0f0811456fa46bfb8">VOLUME_STATE</a>{<a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">NAMESPACE</a>, <span class="stringliteral">&quot;VolumeState&quot;</span>};</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a2990e8417f4e75955d6898deb9e30199">   44</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a2990e8417f4e75955d6898deb9e30199">VOLUME_KEY</a>[] = <span class="stringliteral">&quot;volume&quot;</span>;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a7e769cca3386b9ddc36fb15a4a738d32">   47</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a7e769cca3386b9ddc36fb15a4a738d32">MUTE_KEY</a>[] = <span class="stringliteral">&quot;mute&quot;</span>;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aaff1c01fef2fe7c988a1162ac74f8583">   50</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aaff1c01fef2fe7c988a1162ac74f8583">MUTED_KEY</a>[] = <span class="stringliteral">&quot;muted&quot;</span>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#af92ca4afdcb5d1216798c9a35ee3f171">   53</a></span>&#160;<span class="keyword">const</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#af92ca4afdcb5d1216798c9a35ee3f171">VOLUME_CHANGED</a> = <span class="stringliteral">&quot;VolumeChanged&quot;</span>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a2eaa992aa782d39f7a3a83632f2bcb78">   56</a></span>&#160;<span class="keyword">const</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a2eaa992aa782d39f7a3a83632f2bcb78">MUTE_CHANGED</a> = <span class="stringliteral">&quot;MuteChanged&quot;</span>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;}  <span class="comment">// namespace speakerManager</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;}  <span class="comment">// namespace capabilityAgents</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_CAPABILITYAGENTS_SPEAKERMANAGER_INCLUDE_SPEAKERMANAGER_SPEAKERMANAGERCONSTANTS_H_</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_html_a5ad5373ef8201c768061e534ed1a0507"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a5ad5373ef8201c768061e534ed1a0507">alexaClientSDK::capabilityAgents::speakerManager::ADJUST_VOLUME</a></div><div class="ttdeci">const avsCommon::avs::NamespaceAndName ADJUST_VOLUME</div><div class="ttdoc">The AdjustVolume directive identifier. </div><div class="ttdef"><b>Definition:</b> SpeakerManagerConstants.h:35</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">alexaClientSDK::avsCommon::avs::NamespaceAndName</a></div><div class="ttdef"><b>Definition:</b> NamespaceAndName.h:28</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_html_aa8c6fd20ec07769d004cf31db670ce7d"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aa8c6fd20ec07769d004cf31db670ce7d">alexaClientSDK::capabilityAgents::speakerManager::NAMESPACE</a></div><div class="ttdeci">const std::string NAMESPACE</div><div class="ttdoc">The Speaker interface namespace. </div><div class="ttdef"><b>Definition:</b> SpeakerManagerConstants.h:29</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_html_af92ca4afdcb5d1216798c9a35ee3f171"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#af92ca4afdcb5d1216798c9a35ee3f171">alexaClientSDK::capabilityAgents::speakerManager::VOLUME_CHANGED</a></div><div class="ttdeci">const std::string VOLUME_CHANGED</div><div class="ttdoc">The VolumeChanged event key. </div><div class="ttdef"><b>Definition:</b> SpeakerManagerConstants.h:53</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_html_a4a0b48bae42678c0f0811456fa46bfb8"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a4a0b48bae42678c0f0811456fa46bfb8">alexaClientSDK::capabilityAgents::speakerManager::VOLUME_STATE</a></div><div class="ttdeci">const avsCommon::avs::NamespaceAndName VOLUME_STATE</div><div class="ttdoc">The Volume State for use with the context. </div><div class="ttdef"><b>Definition:</b> SpeakerManagerConstants.h:41</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_html_a7e769cca3386b9ddc36fb15a4a738d32"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a7e769cca3386b9ddc36fb15a4a738d32">alexaClientSDK::capabilityAgents::speakerManager::MUTE_KEY</a></div><div class="ttdeci">const char MUTE_KEY[]</div><div class="ttdoc">The Mute Key. For directives. </div><div class="ttdef"><b>Definition:</b> SpeakerManagerConstants.h:47</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_html_a7a63f026180439fda2630f389c1781f8"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a7a63f026180439fda2630f389c1781f8">alexaClientSDK::capabilityAgents::speakerManager::SET_MUTE</a></div><div class="ttdeci">const avsCommon::avs::NamespaceAndName SET_MUTE</div><div class="ttdoc">The SetMute directive directive identifier. </div><div class="ttdef"><b>Definition:</b> SpeakerManagerConstants.h:38</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="_namespace_and_name_8h_html"><div class="ttname"><a href="_namespace_and_name_8h.html">NamespaceAndName.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_html_a2990e8417f4e75955d6898deb9e30199"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a2990e8417f4e75955d6898deb9e30199">alexaClientSDK::capabilityAgents::speakerManager::VOLUME_KEY</a></div><div class="ttdeci">const char VOLUME_KEY[]</div><div class="ttdoc">The Volume Key in AVS Directives and Events. </div><div class="ttdef"><b>Definition:</b> SpeakerManagerConstants.h:44</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_html_a2eaa992aa782d39f7a3a83632f2bcb78"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a2eaa992aa782d39f7a3a83632f2bcb78">alexaClientSDK::capabilityAgents::speakerManager::MUTE_CHANGED</a></div><div class="ttdeci">const std::string MUTE_CHANGED</div><div class="ttdoc">The VolumeMute event. </div><div class="ttdef"><b>Definition:</b> SpeakerManagerConstants.h:56</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_html_a81953ffb207e01a40f6f361b4a87ddc1"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#a81953ffb207e01a40f6f361b4a87ddc1">alexaClientSDK::capabilityAgents::speakerManager::SET_VOLUME</a></div><div class="ttdeci">const avsCommon::avs::NamespaceAndName SET_VOLUME</div><div class="ttdoc">The SetVolume directive identifier. </div><div class="ttdef"><b>Definition:</b> SpeakerManagerConstants.h:32</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_html_aaff1c01fef2fe7c988a1162ac74f8583"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speaker_manager.html#aaff1c01fef2fe7c988a1162ac74f8583">alexaClientSDK::capabilityAgents::speakerManager::MUTED_KEY</a></div><div class="ttdeci">const char MUTED_KEY[]</div><div class="ttdoc">The Muted Key. For events. </div><div class="ttdef"><b>Definition:</b> SpeakerManagerConstants.h:50</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
